LambdaHack-0.11.0.1: A game engine library for tactical squad ASCII roguelike dungeon crawlers

Safe Haskell | None
Language | Haskell2010

Game.LambdaHack.Client.AI.PickActorM

Description

Picking the AI actor to move and refreshing leader and non-leader targets.

Synopsis

- pickActorToMove :: MonadClient m => [(ActorId, Actor)] -> [(ActorId, Actor)] -> Maybe ActorId -> m ActorId
- setTargetFromDoctrines :: MonadClient m => [(ActorId, Actor)] -> [(ActorId, Actor)] -> ActorId -> m ()

# Documentation

pickActorToMove :: MonadClient m => [(ActorId, Actor)] -> [(ActorId, Actor)] -> Maybe ActorId -> m ActorId Source #

Pick a new leader from among the actors on the current level. Refresh the target of the new leader, even if unchanged.

setTargetFromDoctrines :: MonadClient m => [(ActorId, Actor)] -> [(ActorId, Actor)] -> ActorId -> m () Source #

Inspect the doctrines of the actor and set his target according to it.